Subject: Re: bug#18815: 25.0.50; emacs crash

From: Yagnesh Raghava Yakkala <[email-masked]>
Date: Sat, 25 Oct 2014 12:43:12 +0900

Hello Eli,

On Oct 25 2014, Eli Zaretskii <[email-masked]> wrote:

>> From: Yagnesh Raghava Yakkala <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 25 Oct 2014 02:36:28 +0900
>> 
>> Built with your fix. Still experiencing crashes.
>> 
>> > please tell what is your mode-line-format at the moment of the assertion
>> > violation.
>> 
>> mode-line-format is set to the following:
>> ╭─────
>> │("%e" mode-line-front-space mode-line-mule-info mode-line-client
>> mode-line-modified mode-line-remote mode-line-frame-identification
>> mode-line-buffer-identification " " mode-line-position
>> │ (vc-mode vc-mode)
>> │ "  " mode-line-modes mode-line-misc-info mode-line-end-spaces)
>> ╰─────
>
> OK, just setting mode-line-format ti this doesn't cause a crash.  So
> I'd need to know what you did before the crash, the major mode, etc.
>
> It is best to have a reproducible recipe starting with "emacs -Q".

I haven't able to reproduce with "emacs -Q" yet. But I with my init file I am
able to do reproduce easily.

I kept gdb session running. would that be helpful to query anything?

Thanks.,
-- 
ఎందరో మహానుభావులు అందరికి వందనములు.
YYR